> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tapti.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job By Id



## OpenAPI

````yaml get /fusion/jobs/{id}
openapi: 3.0.0
info:
  title: Tapti Fusion API
  description: API for the Tapti Fusion platform
  version: '1.0'
  contact: {}
servers:
  - url: https://api.tapti.ai
security: []
tags: []
paths:
  /fusion/jobs/{id}:
    get:
      tags:
        - Jobs
      summary: Get a job by ID
      operationId: JobsController_getJob
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the job to get
          schema:
            example: 47f85f19-60fc-4524-9c99-42a96c286d86
            type: string
      responses:
        '200':
          description: Job fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetJobResponseDto'
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    GetJobResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The ID of the job
          example: 47f85f19-60fc-4524-9c99-42a96c286d86
        job_type:
          type: string
          description: The type of the job
          example: fetch_content
        payload:
          type: object
          description: The payload of the job
          example:
            url: https://www.google.com
        status:
          type: string
          description: The status of the job
          example: pending
        result:
          type: object
          description: The result of the job
          example:
            contentIds:
              - content123
              - content456
            contentGroupIds:
              - group789
              - group101
        attempts:
          type: number
          description: The number of attempts of the job
          example: 1
        created_at:
          format: date-time
          type: string
          description: The created at of the job
          example: '2025-03-24T13:23:18.248Z'
        updated_at:
          format: date-time
          type: string
          description: The updated at of the job
          example: '2025-03-24T13:23:18.248Z'
      required:
        - id
        - status

````